Bug 872332 - Username/password from previous katello-configure returns CLI error "error: string indices must be integers"
Username/password from previous katello-configure returns CLI error "error: s...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
high Severity low
: rc
: ---
Assigned To: Katello Bug Bin
Tazim Kolhar
:
Depends On: 865528
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-01 15:58 EDT by Tom McKay
Modified: 2016-04-25 20:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 865528
Environment:
Last Closed: 2013-02-21 14:18:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Tazim Kolhar 2012-11-06 00:26:36 EST
VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch


# headpin -u test -p redhat -v
Headpin 1.2.2-1h.el6_3
Comment 2 Tazim Kolhar 2012-11-15 10:34:41 EST
Sorry .. 
needs to be verified with puddle
Changed to MODIFIED
Comment 4 Tazim Kolhar 2012-11-20 03:04:45 EST
VERIFIED :

# rpm -qa | grep katello
katello-configure-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.6-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-1h.el6_3.noarch
katello-cli-1.2.4-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.4-1h.el6_3.noarch
katello-headpin-1.2.6-1h.el6_3.noarch
katello-common-1.2.6-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch


# katello-configure --user-name=testuser --user-pass=**** --deployment=sam
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20121120-025845/main.log]
Creating Candlepin database user
############################################################ ... OK
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK


# headpin -u testuser -p ****
Usage:  headpin <options> <command>
Supported Commands:
	activation_key activation key specific actions in the katello server
	architecture   Architecture specific actions in the katello server
	client         client specific actions in the katello server
	config_template config template specific actions in the katello server
	domain         domain specific actions in the katello server
	environment    environment specific actions in the katello server
	org            organization specific actions in the katello server
	permission     permission specific actions in the katello server
	ping           get the status of the katello server
	product        product specific actions in the katello server
	provider       provider specific actions in the katello server
	shell          run the cli as a shell
	system         system specific actions in the katello server
	user           user specific actions in the katello server
	user_role      user role specific actions in the katello server
	version        get the version of the katello server
Comment 6 errata-xmlrpc 2013-02-21 14:18:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.